﻿// *************************************************************************************
// SCICHART® Copyright SciChart Ltd. 2011-2023. All rights reserved.
//  
// Web: http://www.scichart.com
//   Support: support@scichart.com
//   Sales:   sales@scichart.com
// 
// LineChartExampleView.xaml.cs is part of the SCICHART® Examples. Permission is hereby granted
// to modify, create derivative works, distribute and publish any part of this source
// code whether for commercial, private or personal use. 
// 
// The SCICHART® examples are distributed in the hope that they will be useful, but
// without any warranty. It is provided "AS IS" without warranty of any kind, either
// expressed or implied. 
// *************************************************************************************

using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Windows;
using System.Windows.Controls;
using SciChart.Charting.Model;
using SciChart.Charting.Visuals.Axes;

namespace SciChart.Examples.Examples.CreateSimpleChart
{
    public class ChartViewModel
    {
        public int Position { get; set; }
        public AxisCollection XAxes { get; set; } = new AxisCollection();
    }

    public partial class LineChartExampleView : UserControl
    {
        public ObservableCollection<ChartViewModel> Charts = new ObservableCollection<ChartViewModel>();


        public LineChartExampleView()
        {
            InitializeComponent();

            Charts.Add(new ChartViewModel()
            {
                Position = 1,
                XAxes = new AxisCollection()
                {
                    new NumericAxis()
                }
            });

            Charts.Add(new ChartViewModel()
            {
                Position = 2,
                XAxes = new AxisCollection
                {
                    new NumericAxis()
                }
            });


            Asc();

            ChartsListBox.ItemsSource = Charts;
        }

        private void Asc()
        {
            ChartsListBox.Items.SortDescriptions.Clear();
            ChartsListBox.Items.SortDescriptions.Add(new SortDescription(nameof(ChartViewModel.Position), ListSortDirection.Ascending));
        }

        private void Desc()
        {
            ChartsListBox.Items.SortDescriptions.Clear();
            ChartsListBox.Items.SortDescriptions.Add(new SortDescription(nameof(ChartViewModel.Position), ListSortDirection.Descending));
            
            //CollectionViewSource.GetDefaultView(this.ChartsListBox.ItemsSource).Refresh();
        }

        private void LineChartExampleView_OnLoaded(object sender, RoutedEventArgs e)
        {
            
        }

        private void ButtonBase_OnClick(object sender, RoutedEventArgs e)
        {
            Desc();
        }
    }
}
